psi4 (1:1.3.2+dfsg-2) unstable; urgency=medium

  * Tighten dependencies on libint (Closes: #983481)

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Mar 2021 11:31:06 +0000

psi4 (1:1.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Remove binary without source from upstream tarball
  * Fix some issues recent Python3 is more picky than before
    Closes: #982171
  * Do not ship __pycache__ dirs as leftovers from build time test
  * Fix path to bash
  * Simplify backports
  * Drop unnecessary default dh-argument --parallel
  * Fix spelling of Python in long description

 -- Andreas Tille <tille@debian.org>  Fri, 19 Feb 2021 14:52:51 +0100

psi4 (1:1.3.2-3) unstable; urgency=medium

  * debian/control (psi4/Depends): Add python3-qcelemental (Closes: #949291).

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Jan 2020 21:38:29 +0100

psi4 (1:1.3.2-2) unstable; urgency=medium

  * debian/TODO: Removed.
  * debian/tests/testsuite.sh: Print last 100 lines of logfile in case of
    failures.
  * debian/control (Build-Depends): Rebuilt against libgg2 (Closes: #942242).
  * debian/patches/gau2grid_2_support.patch: New patch, adds support for
    gau2grid 2.0, taken from upstream commits b42769d7, d023b9d3 and 643a4661.

 -- Michael Banck <mbanck@debian.org>  Wed, 01 Jan 2020 13:51:25 +0100

psi4 (1:1.3.2-1) unstable; urgency=medium

  * New upstream release. New features include:
   + In-memory DFT collocation grids lowering the total cost of DFT by up to a
     factor of two
   + RHF analytic dipole derivatives
  * debian/patches/runtests_python3.patch: Refreshed.
  * debian/patches/verbose_makefile.patch: Updated.
  * debian/patches/relax_external_cmake_requirements.patch: Likewise.
  * debian/patches/libxc_external.patch: Likewise.
  * debian/patches/libderiv_include_location.patch: Removed, no longer needed.
  * debian/patches/dfhelper_crash_fix.patch: Likewise.
  * debian/patches/testsuite_32bit_memory.patch: Likewise.
  * debian/control (Build-Depends): Add versioned dependency to libxc-dev
    (4.2.3-1). 
  * debian/control (Build-Depends): Added python3-qcelemental.
  * debian/compat: Bumped to 10.
  * debian/patches/libint_external.patch: New patch, allows building with
    external Libint.
  * debian/TODO: Removed.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Jul 2019 09:54:10 -0300

psi4 (1:1.2.1-2) unstable; urgency=medium

  * debian/control (Standards-Version): Bumped to 4.3.0.
  * debian/control (Build-Depends): Added python3-networkx.
  * debian/control (psi4/Depends): Added python3 runtime modules
    python3-deepdiff, python3-numpy, python3-networkx and python3-pybind11.
  * debian/control (Build-Depends): Removed Boost libraries, no longer needed.
  * debian/patches/libxc_external.patch: Remove WPBE functional from dft-smoke
    test, as it is not available.
  * debian/rules (override_dh_auto_configure) Removed MAX_AM_ERI from CMake
    definitions.
  * debian/patches/dfhelper_crash_fix.patch: New patch, fixes segfaults in
    DFHelper::transform, taken from upstream commit e286fcebf.
  * debian/patches/testsuite_32bit_memory.patch: New patch, avoids memory
    allocations above 2GB for 32bit architectures.
  * debian/tests: Added autopkgtests based on upstream's `smoketest' target.

 -- Michael Banck <mbanck@debian.org>  Sat, 05 Jan 2019 15:45:33 +0100

psi4 (1:1.2.1-1) unstable; urgency=medium

  * New upstream release.  New features include:
   + Density-Fitted (DF) CCSD(T) Gradients
   + Spin-Network-Scaled MP2 (SNS-MP2)
   + VV10 non-local dispersion
   + Hundreds of new DFT Functionals via LibXC
   + Dispersion Corrected Spin-Component Scaled Double Hybrid (DSD) Functionals
   + Second-Order SCF Convergence of Density Functional Theory
   + Coupled Perturbed Self-Consistent Field (HF and DFT)
   + Second-Order Electron Propagator Theory (EP2)
   + SAPT0 with S^Infinity Induction and Induction Exchange
   + Density-fitted Gradients for range-separated and CAM Functionals
  * debian/patches/relax_dmrg_caspt2_test.patch: Removed, no longer needed.
  * debian/patches/fix_manual_build.patch: Likewise.
  * debian/patches/support-pybind11-2.2.patch: Likewise.
  * debian/control (Build-Depends): Bump libchemps2-dev version to 1.8.5-1.
  * debian/control (Build-Depends): Added libgg-dev and libxc-dev.
  * debian/control (Description): Update capabilities.
  * debian/patches/verbose_makefile.patch: Updated.
  * debian/rules (override_dh_auto_configure): Set PYTHON_EXECUTABLE to
    python3.
  * debian/control (Build-Depends): Added python3-deepdiff.
  * debian/patches/relax_external_cmake_requirements.patch: New patch, relaxes
    the pybind11 cmake requirements.
  * debian/patches/libxc_external.patch: New patch, allows building with
    external LibXC.
  * debian/rules (override_dh_auto_test): No longer run chemps2 tests
    explicitly, there are some included in quicktests now.

 -- Michael Banck <mbanck@debian.org>  Fri, 04 Jan 2019 10:44:11 +0100

psi4 (1:1.1-6) unstable; urgency=medium

  * debian/patches/support-pybind11-2.2.patch: New patch, fixes build failure
    with pybin11-2.2, by Gilles Filippini (Closes: #897492).
  * debian/control (Build-Depends): Added dh-python.
  * debian/control (psi4/Depends): Added ${python3:Depends}.
  * debian/rules: Added --with python3, thanks to Adrian Bunk (Closes:
    #906094).
  * debian/patches/support-pybind11-2.2.patch: Include upstream commit
    5c0b2ffd and parts of upstream commit 34fec146.
  * debian/psi4.install: Update lib directory.
  * debian/rules (override_dh_auto_configure): Define ENABLE_CheMPS2.
  * debian/control (Build-Depends): Added chemps2.
  * debian/patches/runtests_python3.patch: New patch, sets python3 as
    interpreter for python tests.

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Dec 2018 19:42:51 +0100

psi4 (1:1.1-5) unstable; urgency=medium

  * debian/control (Build-Depends): Added python3-pytest.
  * debian/patches/verbose_makefile.patch: New patch, turns on verbose CMake
    output.
  * debian/rules (override_dh_auto_configure): Define ENABLE_XHOST to off and
    MAX_AM_ERI to 4 in line with libint-dev package, remove no longer used
    definitions.
  * debian/rules (override_dh_auto_test): Adjust test directory following
    upstream's renaming.
  * debian/rules (override_dh_auto_install): No longer install the HTML manual
    (Closes: #887068).  
  * debian/psi4-data.install: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sun, 14 Jan 2018 11:12:10 +0100

psi4 (1:1.1-4) unstable; urgency=medium

  * debian/rules: Set builddirectory option globally.

 -- Michael Banck <mbanck@debian.org>  Mon, 08 Jan 2018 19:15:01 +0100

psi4 (1:1.1-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_build): Remove rule. 

 -- Michael Banck <mbanck@debian.org>  Mon, 08 Jan 2018 17:40:01 +0100

psi4 (1:1.1-2) unstable; urgency=medium

  * debian/upstream/metadata: Citation updated with 1.1 JCTC paper.
  * debian/patches/fix_manual_build.patch: New patch, fixes building the sphinx
    manual, taken from upstream commits 92b4c55b and 17b16a23.
  * debian/control (Build-Depends): Switch python packages to python3.
  * debian/psi4-data.install: Update directory.
  * debian/psi4.install: Include /usr/lib/psi4 as well.

 -- Michael Banck <mbanck@debian.org>  Mon, 08 Jan 2018 15:51:17 +0100

psi4 (1:1.1-1) unstable; urgency=medium

  * New upstream release.  New features include:
   + RHF second derivatives
   + RHF-CCSD(T) gradients
   + RHF-CC2 gradients
   + X2C relativistic corrections

  [ Michael Banck ]
  * debian/watch: Updated.
  * debian/control: Update description with new features.
  * debian/control (Build-Depends): Added python-pybind11 and bumped required
    libint-dev version to 1.2.0.
  * debian/patches/relax_dmrg_caspt2_test.patch: Updated.
  * debian/patches/libderiv_include_location.patch: New patch, includes the
    libderiv.h header from its own directory.
  * debian/patches/system_libint.patch,
    debian/patches/default_data_directory.patch,
    fix-cloud_sptheme-sphinx1.4.patch: Disabled for now.

 -- Michael Banck <mbanck@debian.org>  Sat, 06 Jan 2018 22:59:28 +0100

psi4 (1:1.0-1) unstable; urgency=medium

  * New upstream stable release.  Changes since beta5 include:
   + CASSCF and DF-CASSCF energies.
   + DF-CCSD gradients
   + DF/CD-orbital optimized MP2
   + X2C scalar relativistic corrections
  * debian/patches/psi4rc-changes.patch: Removed, no longer needed. 
  * debian/patches/chemps_1_7_support.patch: Likewise.
  * debian/patches/relax_dmrg_caspt2_test.patch: Refreshed.
  * debian/patches/default_data_directory.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Fri, 23 Sep 2016 22:02:40 +0200

psi4 (1:1.0~rc-3) unstable; urgency=medium

  * debian.rules: Disable automatically enabled build options,
    fixes FTBFS in Ubuntu. (Closes: #827769)
  * debian/patches/fix-cloud_sptheme-sphinx1.4.patch: New patch,
    fix building documentation with Sphinx 1.4, see #829230.

 -- Graham Inggs <ginggs@debian.org>  Wed, 06 Jul 2016 11:16:43 +0200

psi4 (1:1.0~rc-2) unstable; urgency=medium

  * debian/rules (dh_override_auto_test): Set CTEST_OUTPUT_ON_FAILURE=TRUE.

 -- Michael Banck <mbanck@debian.org>  Sun, 29 May 2016 21:28:48 +0200

psi4 (1:1.0~rc-1) unstable; urgency=medium

  * New upstream release candidate.
  * debian/patches/git_version_fix.patch: Removed, no longer needed.
  * debian/patches/gcc5_compile_error.patch: Likeweise.
  * debian/patches/fix-deprecated-perl-defined.patch: Likewise.
  * debian/control (Description): Update capabilities.
  * debian/patches/chemps_1_7_support.patch: New patch, adds support for
    version 1.7 of chemps2.
  * debian/patches/system_libint.patch: Refreshed and updated.
  * debian/rules (override_dh_auto_install): Update list of samples.
  * debian/control (Build-Depends): Removed libgsl-dev.
  * debian/patches/default_data_directory.patch: New patch, reverts the data
    directory to `/usr/share/psi', from `/usr/share/psi4'.
  * debian/patches/relax_dmrg_caspt2_test.patch: New patch, makes the
    dmrg-caspt2-n2 testcase take less time.

 -- Michael Banck <mbanck@debian.org>  Sat, 28 May 2016 21:53:24 +0200

psi4 (1:0.3-5) unstable; urgency=medium

  * Fix FTBFS with perl 5.22, thanks gregor herrmann. (Closes: #810017)
  * Update debian/watch, remove debian/get-orig-source.sh and
    debian/README.source since upstream moved to GitHub.
  * Update debian/copyright: remove one unnecessary item, add two items,
    fix license short names to make Lintian happy.
  * Add debian/clean to fix FTBFSx2.

 -- Graham Inggs <ginggs@debian.org>  Tue, 12 Jan 2016 17:10:34 +0200

psi4 (1:0.3-4) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev,
    thanks Bas Couwenberg. (Closes: #807236)
  * Add myself to uploaders.

 -- Graham Inggs <ginggs@debian.org>  Thu, 17 Dec 2015 09:58:13 +0200

psi4 (1:0.3-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_build): Fix building of manual.
  * debian/patches/system_libint.patch: New patch, skips building of the
    internal libint and uses the system-provided one.
  * debian/control (Build-Depends): Added libint-dev.
  * debian/rules (override_dh_auto_configure): Add -DEXPLICIT_LIBS option.
  * debian/rules (override_dh_auto_install): Create example directory at start
    and install example data under debian/tmp.
  * debian/rules (override_dh_auto_install): Fix installation of HTML
    documentation.
  * debian/psi4.install: Install example psi4rc. 
  * debian/psi4-data.install: Install HTML documentation and example inputs.
  * debian/psi4-data.links: Removed.

 -- Michael Banck <mbanck@debian.org>  Thu, 01 Oct 2015 10:57:40 +0200

psi4 (1:0.3-2) unstable; urgency=medium

  * debian/patches/gcc5_compile_error.patch: New patch, fixes compile errors
    with g++-5 on various architectures, taken from upstream commit de1fc3ed.
  * debian/rules (override_dh_auto_install-arch,
  * override_dh_auto_install-indep): Combine both into override_dh_auto_install
    again, to fix Arch:all building.
  * debian/rules (override_dh_auto_install): Remove all byte-compiled python
    files from python data directory.

 -- Michael Banck <mbanck@debian.org>  Wed, 23 Sep 2015 12:12:19 +0200

psi4 (1:0.3-1) unstable; urgency=medium

  * New upstream prerelease.
  * debian/patches/git_version_fix.patch: New patch, fixes a build failure for
    release tarballs if GIT_VERSION is not defined, taken from upstream commit
    1b91513b.
  * debian/control (Build-Depends): Replaced autotools-dev with cmake.
  * debian/control (Build-Depends): Added libboost-chrono-dev and
    libboost-timer-dev.
  * debian/rules (override_dh_auto_configure): Remove autoconf-specific
    options, and add CMAKE_BUILD_TYPE=RelWithDebInfo define.
  * debian/rules (PSI_SCRATCH, SCRATCH): Removed.
  * debian/rules (override_dh_auto_clean): Update accordingly.
  * debian/rules (override_dh_auto_test): Create scratch directory and run
    `ctest -L quicktests' as testsuite.
  * debian/rules (OMPI_MCA_orte_rsh_agent): New variable.
  * debian/rules (override_dh_auto_install-indep): Remove samples from data
    directory.
  * debian/control (Build-Depends): Added libchemps2-dev.
  * debian/rules: Remove autotools_dev option from dh.
  * debian/rules (override_dh_auto_configure): Add -DENABLE_CHEMPS2 and
    -DCHEMPS2_ROOT options.
  * debian/control (Build-Depends): Added libhdf5-dev and libgsl0-dev.
  * debian/control (Description): Add DMRG.
  * debian/rules (override_dh_auto_test): Also run DMRG tests.
  * debian/upstream: Move to ...
  * debian/upstream/metadata: ... here.
  * debian/control (Standards-Version): Bumped to 3.9.6.

 -- Michael Banck <mbanck@debian.org>  Tue, 22 Sep 2015 19:00:36 +0200

psi4 (4.0~beta5+dfsg-2) unstable; urgency=low

  * debian/rules (DEB_BUILD_MULTIARCH): New variable, populated from
    dpkg-architecture.
  * debian/rules (override_dh_auto_configure): Added --with-boost-libdir.
  * debian/rules (override_dh_auto_install): Split up into
    override_dh_auto_install-arch and override_dh_auto_install-indep (Closes:
    #732044).
  * debian/README.source: New file.

 -- Michael Banck <mbanck@debian.org>  Sat, 14 Dec 2013 20:00:46 +0100

psi4 (4.0~beta5+dfsg-1) unstable; urgency=low

  * Initial Upload of psi4, based on psi3 packaging.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Nov 2013 17:43:51 +0100
